html,
body {
    overflow-x: hidden;
    font-size: 13px;
    font-family: arial, sans-serif;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.sub-header {
    border-bottom: 1px solid #ddd;
    padding: 0;
}

.sub-header p {
    font-family: arial, sans-serif;
    color: #d93025;
    font-size: 20px;
    margin: 25px 0 25px 40px;
    vertical-align: baseline;
}

.sub-title {
    display: flex;
    margin-bottom: 30px;
}

.sub-title-left {
    flex: 0 0 180px;
}

.search-tips {
    display: flex;
    align-items: center;
    position: absolute;
    left: calc(180px + 400px + 50px);
}

.tips {
    margin-left: 10px;
    align-items: center;
    text-align: center;
    justify-content: center;
    padding: 1px 8px;
    height: 25px;
    font-size: inherit;
    margin-top: 4px;
}

.container {
    display: flex;
    margin: 0 40px;
    max-width: 94rem;
    padding-top: 40px;
}

form {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
    gap: 1rem;
}

.form-row {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.form-label {
    flex: 0 0 180px;
    font-size: inherit;
    font-weight: 500;
}

.input-field {
    width: 400px;
    border-radius: 4px;
    border: 1px solid #c0c0c0;
    border-top: 1px solid #d9d9d9;
    font-size: 13px;
    padding: 12px 16px;
}

.advanced-btn {
    margin-top: 20px;
    margin-left: 180px;
    width: 400px;
    display: flex;
    justify-content: flex-end;
}

.search-btn {
    border-radius: 20px;
    font-size: 13px;
    font-weight: bold;
    text-align: center;
    white-space: nowrap;
    height: 37px;
    min-width: 54px;
    outline: 0;
    padding: 0 20px;
    box-shadow: none;
    background-color: #4d90fe;
    border: 1px solid hsl(217, 84%, 56%);
    color: #fff;
    cursor: pointer;
}


/* Responsive */

@media (max-width: 1056px) {
    .tips,
    .search-tips {
        display: none;
    }
}

@media (max-width: 1200px) {
    .container {
        margin: 0 20px;
    }
    .sub-header p {
        margin-left: 20px;
    }
}

@media (max-width: 900px) {
    .form-label {
        flex: 0 0 140px;
        font-size: 12px;
    }

    .input-field {
        width: calc(100vw - 300px);
        max-width: 350px;
        min-width: 200px;
    }

    .advanced-btn {
        margin-left: 140px;
        width: calc(100vw - 300px);
        max-width: 350px;
        min-width: 200px;
    }
}

@media (max-width: 600px) {
    .container {
        margin: 0 10px;
        flex-direction: column;
    }

    .sub-header p {
        margin: 10px;
    }

    .form-row {
        flex-direction: column;
        align-items: flex-start;
        gap: 6px;
    }


    .form-label {
        flex: none;
        font-size: 13px;
    }

    .input-field {
        width: 100%;
        max-width: 100%;
        min-width: 0;
        padding: 12px 16px;
        
    }

    .advanced-btn {
       display: flex;
       justify-self: flex-end;
       margin-bottom: 100px;
    }

    

}